var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { addItemResource as addResource, } from '@esri/arcgis-rest-portal';
import { createOperation } from '../../../utilities/index.js';
import { ItemResourceOperationTypes } from './types.js';
/**
 * Add a file or text resource
 *
 * @param requestOptions - Options for the request
 * @param resource - Resource to store
 * @returns A PProgress Promise that will resolve resolve with status of the add.
 */
export default function addItemResource(requestOptions, resource) {
    return createOperation(ItemResourceOperationTypes.ADD_ITEM_RESOURCE, [addResource(__assign(__assign({}, requestOptions), resource))], requestOptions);
}
//# sourceMappingURL=add.js.map