import { ItemTypeInfos } from './item_types/index.js';
/**
 * Get type info from an item description.
 *
 * @param itemDescription - Options for the request
 * @param itemDescription.type - Item type
 * @returns A PProgress Promise that will resolve with the item description data from the response.
 */
export default function getItemTypeInfo(_a) {
    var type = _a.type;
    return ItemTypeInfos.find(function (info) { return info.name === type; }) || { name: type };
}
//# sourceMappingURL=get.js.map